isLonLat {raster} | R Documentation

## Is this longitude/latitude data?

### Description

Test whether a Raster* or other object has a longitude/latitude coordinate reference system (CRS) by inspecting the PROJ.4 coordinate reference system description. `couldBeLonLat` also returns `TRUE` if the CRS is `NA` but the x coordinates are within -365 and 365 and the y coordinates are within -90.1 and 90.1.

### Usage

    isLonLat(x)
    couldBeLonLat(x, warnings=TRUE)

### Arguments

`x` | Raster* object
`warnings` | logical. If `TRUE`, a warning is given if the CRS is `NA` or when the CRS is longitude/latitude but the coordinates do not match that

### Value

Logical

### Examples

    r <- raster()
    isLonLat(r)
    projection(r) <- "+proj=lcc +lat_1=48 +lat_2=33 +lon_0=-100 +ellps=WGS84"
    isLonLat(r)

[Package raster version 2.5-2 Index]